Skip to main content
Interfaces / Vehicle Data

Request a JATO vehicle data import

This API initiates a JATO vehicle data import workflow.

POST
/qt/interface/vehicle-data/jato

The process is asynchronous and returns an import_id immediately.

This method requires the VehicleData:ImportJato permission.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
Audit-User-Idstringheader

(Optional) User Id to use for audit purposes. This header requires the Audit:UserIdOverride permission to be associated with your role.

Maximum string length: 5
Pattern: ^[1-9]{1}[0-9]*$
Time-Zonestringheaderdefault:UTC
Maximum string length: 100
Pattern: ^[a-zA-Z0-9\/\:\+\-\_]+$

Response

application/vnd.catch-e-api.v1+json

Accepted

detailstring
Example: JATO import processing
import_idstring
Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
Example: 123456
retry_afterstring
Example: 2026-06-15T10:20:30+00:00
statusinteger
Example: 202
titlestring
Example: Accepted